Bug 434082

Summary: libvpd failed massrebuild attempt for GCC 4.3
Product: [Fedora] Fedora Reporter: Jesse Keating <jkeating>
Component: libvpdAssignee: Eric Munson <ebmunson>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: dcantrell
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-08 04:37:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 433629    

Description Jesse Keating 2008-02-22 13:03:08 UTC
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=438598
Exit code was 1, check the build.log for the failed buildArch task.

Comment 1 Tyler Owen 2008-02-24 15:49:59 UTC
some of the errors in build.log:

src/helper_functions.cpp:125: error: 'strdup' was not declared in this scope
src/helper_functions.cpp: In static member function 'static int
lsvpd::HelperFunctions::dropDir(char*)':
src/helper_functions.cpp:136: error: 'strlen' was not declared in this scope



Comment 2 Eric Munson 2008-03-03 19:38:28 UTC
I believe that libvpd-2.0.0-2 should fix this problem, how can I request a 4.3
build?

Comment 3 Bug Zapper 2008-05-14 05:25:05 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Matt Domsch 2008-07-08 04:37:32 UTC
builds as of 2008-07-03, version 2.0.2-1.fc10.